import React from 'react';

// From instagrams website
export const StoryIcon = ({ ...props }) => (
	<svg viewBox='0 0 100 95' className='instagram-story-icon-components' {...props}>
		<path d='M49.77 95a45.086 45.086 0 01-21.16-5.277 3.104 3.104 0 112.925-5.477 38.843 38.843 0 0018.235 4.546 39 39 0 008.846-1.013 3.104 3.104 0 111.411 6.047A45.27 45.27 0 0149.77 95zM20.971 83.527a3.09 3.09 0 01-2.134-.851C12.514 76.687 8.093 69.072 6.051 60.655a3.105 3.105 0 116.035-1.463c1.758 7.251 5.57 13.813 11.021 18.977a3.104 3.104 0 01-2.136 5.358zM8.098 48.949a3.104 3.104 0 01-3.093-3.41A44.664 44.664 0 018.967 31.05a3.105 3.105 0 015.629 2.621 38.443 38.443 0 00-3.412 12.479 3.105 3.105 0 01-3.086 2.799zM21.121 22.656a3.104 3.104 0 01-2.397-5.074c.277-.338.558-.671.845-1a3.103 3.103 0 014.38-.301 3.103 3.103 0 01.301 4.38c-.247.283-.489.571-.728.861a3.1 3.1 0 01-2.401 1.134zM71.254 89.079a3.105 3.105 0 01-1.598-5.768c11.651-6.976 18.889-19.734 18.889-33.295 0-21.381-17.395-38.776-38.776-38.776a3.105 3.105 0 110-6.21c24.805 0 44.985 20.18 44.985 44.985 0 15.733-8.395 30.532-21.909 38.622-.499.3-1.048.442-1.591.442z' />
		<path d='M70.753 47.072H52.966V29.285h-6.209v17.787H28.97v6.209h17.787v17.787h6.209V53.281h17.787z' />
	</svg>
);

// Modified by us, inverting the outlined version.
// Migth have small diffs to Instagrams filled Story logotype.
export const StoryIconFilled = ({ ...props }) => (
	<svg viewBox='0 0 100 95' className='instagram-story-icon-components' {...props}>
		<path
			style={{ transform: 'scale(0.9)', transformOrigin: 'bottom' }}
			d='M50-0.3C23.6-0.3,2.3,21,2.3,47.3C2.3,73.7,23.6,95,50,95s47.7-21.3,47.7-47.7C97.6,21,76.3-0.3,50-0.3z M24.1,20.4
	c0.1-0.1,0.2-0.3,0.4-0.5c0.1-0.1,0.2-0.2,0.3-0.3l0-0.1l0.1-0.1c0.7-0.8,1.9-1.4,2.9-1.4c0.8,0,1.7,0.2,2.3,0.8
	c1.4,1.3,1.2,3.7,0,5.2c-0.1,0.1-0.2,0.3-0.3,0.4c-0.1,0.1-0.1,0.2-0.2,0.3c-0.6,0.9-1.6,1.4-2.7,1.4c-0.8,0-1.6-0.3-2.2-0.8
	C23.2,24.1,23,22,24.1,20.4z M16.1,31.5c0.5-1.2,1.8-2,3.1-2c0.5,0,1.1,0.1,1.6,0.4c0.8,0.3,1.5,1,1.8,1.9c0.3,0.9,0.3,1.9-0.2,2.8
	c-1.4,3-2.3,6.3-2.6,9.8c-0.1,1.8-1.6,3.2-3.5,3.2h-0.3c-2-0.1-3.4-1.8-3.3-3.8C13.2,39.4,14.3,35.3,16.1,31.5z M29.2,74.1
	c-0.6,0.7-1.6,1.1-2.6,1.1c-1,0-1.9-0.4-2.5-1C19,69.3,15.4,63,13.7,56c-0.2-0.9-0.1-1.9,0.4-2.7c0.5-0.8,1.3-1.3,2.2-1.5
	c0.2-0.1,0.5-0.1,0.9-0.1c1.6,0,3,1.1,3.3,2.7c1.4,5.7,4.4,10.8,8.6,14.8C30.5,70.5,30.5,72.7,29.2,74.1z M30.5,43.6h15.8V27.8h7.5
	v15.8h15.8v7.5H53.7v15.8h-7.5V51.1H30.5V43.6z M58.5,83.5c-2.7,0.6-5.5,0.9-8.5,0.9c-6.2,0-12.2-1.5-17.5-4.4
	c-0.8-0.4-1.4-1.2-1.7-2.1c-0.3-0.9-0.2-1.8,0.3-2.6c0.6-1.1,1.8-1.8,3.1-1.8c0.6,0,1.1,0.1,1.6,0.4c4.3,2.3,9.3,3.5,14.3,3.5
	c2.3,0,4.7-0.3,6.9-0.8c0.3-0.1,0.5-0.1,0.8-0.1c1.7,0,3.1,1.2,3.5,2.8C61.5,81.2,60.3,83,58.5,83.5z M69.1,79.2
	c-0.4,0.3-1,0.5-1.8,0.5c-1.1,0-2.2-0.6-3-1.6c-0.5-0.9-0.7-1.8-0.5-2.7c0.2-0.9,0.8-1.7,1.6-2.2c9.1-5.5,14.7-15.4,14.7-26
	c0-16.7-13.6-30.3-30.3-30.3c-2,0-3.6-1.6-3.6-3.6s1.6-3.6,3.6-3.6c20.6,0,37.4,16.8,37.4,37.4C87.3,60.1,80.3,72.4,69.1,79.2z'
		/>
	</svg>
);
